Skip to main content
`Ctrl`+`K`

# skbio.util.deprecated

skbio.util.deprecated(ver, msg=None, append=True)

  Mark a function or a method as deprecated.

  Parameters:
    ver str

      Version when deprecation became effective.

    msg str, optional

      A custom warning message.

    append bool, optional

      Append the custom message to the end of the default message (True, default), or replace the entire default message with the custom message (False).

  Notes

  This decorator has two effects: 1) A note will be added to the docstring of the function below the title line to indicate the deprecated status. 2) When the function is called at the first time, a deprecation warning will be displayed.